Bug 1805634

Summary: Drop requirement for ibus-gtk2
Product: [Fedora] Fedora Reporter: Alexander Kurtakov <akurtako>
Component: ibusAssignee: fujiwara <tfujiwar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: i18n-bugs, petersen, shawn.p.huang, tfujiwar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ibus-1.5.22-4.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-13 19:37:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexander Kurtakov 2020-02-21 09:01:14 UTC
ibus package requires ibus-gtk2 which itself brings gtk2 which is not needed on a numbef of machines. Can this Requires be dropped?

Comment 1 Jens Petersen 2020-02-21 14:14:25 UTC
Perhaps we could make the dependency on ibus-gtk2 weak.

Comment 2 Fedora Update System 2020-02-25 14:37:42 UTC
FEDORA-2020-71d79c86a3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-71d79c86a3

Comment 3 Fedora Update System 2020-02-28 01:26:39 UTC
ibus-1.5.22-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-71d79c86a3

Comment 4 Fedora Update System 2020-03-12 18:49:00 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 5 Fedora Update System 2020-03-13 19:37:21 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.